PTLib Version 2.12.9

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Classes | Macros
thread.h File Reference
`#include <ptlib/mutex.h>`
`#include <set>`
`#include "unix/ptlib/thread.h"`
Include dependency graph for thread.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
class | PThread
| This class defines a thread of execution in the system. More...
struct | PThread::Times
| Times for execution of the thread. More...
class | PThread::LocalStorageBase
| Thread local storage base class, see PThreadLocalStorage for template. More...
class | PThreadMain
| Define some templates to simplify the declaration of simple `PThread` descendants with one or two paramaters. More...
class | PThreadFunctor< Functor >
class | PThread1Arg< Arg1Type >
class | PThread2Arg< Arg1Type, Arg2Type >
class | PThread3Arg< Arg1Type, Arg2Type, Arg3Type >
class | PThreadObj< ObjType >
class | PThreadObj1Arg< ObjType, Arg1Type >
class | PThreadObj2Arg< ObjType, Arg1Type, Arg2Type >
class | PThreadLocalStorage< Storage_T >

## Macros
#define | P_HAS_THREADLOCAL_STORAGE 1

## Macro Definition Documentation

#define P_HAS_THREADLOCAL_STORAGE 1